%define module_name File-Data
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(FileHandle.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.20
Release: alt1
Summary: interface to file data
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RF/RFOLEY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Wraps all the accessing of a file into a convenient set of calls for
reading and writing data, including a simple regex interface.

Note that the file needs to exist prior to using this module!

See the new() entry elsewhere in this document


%prep
%setup -q -n %{module_name}-%{version}
# move modules to lib
#mkdir lib
#mv F*/ lib/
#sed -i -e 's,^\(F.*/\),lib/\1,' MANIFEST
#ln -s lib/* .
# move modules to lib
#mkdir lib
#mv F*/ lib/
#sed -i -e 's,^\(F.*/\),lib/\1,' MANIFEST
#ln -s lib/* .

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO README Changes
%perl_vendor_privlib/F*

%changelog
* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 1.20-alt1
- regenerated from template by package builder

* Thu Oct 10 2013 Igor Vlasenko <viy@altlinux.ru> 1.16-alt1
- initial import by package builder

